ReporterConfig (TestNG)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.testng
Class ReporterConfig

    java.lang.Object
      org.testng.ReporterConfig

    public class ReporterConfig

extends java.lang.Object

Stores the information regarding the configuration of a pluggable report listener. Used also in conjunction with the <reporter> sub-element of the Ant task NOTE: this class needs to be public. It's used by TestNG Ant task

Author:
  Cosmin Marginean, Apr 12, 2007

Nested Class Summary
`static class` | `ReporterConfig.Property`

Constructor Summary
`ReporterConfig()`

Method Summary
`void` | `addProperty(ReporterConfig.Property property)`
`static ReporterConfig` | `deserialize(java.lang.String inputString)`
`java.lang.String` | `getClassName()`
`java.util.List<ReporterConfig.Property>` | `getProperties()`
`java.lang.Object` | `newReporterInstance()` Creates a reporter based on the current configuration
`java.lang.String` | `serialize()`
`void` | `setClassName(java.lang.String className)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReporterConfig

    public ReporterConfig()

Method Detail

### addProperty

    public void addProperty(ReporterConfig.Property property)

### getProperties

    public java.util.List<ReporterConfig.Property> getProperties()

### getClassName

    public java.lang.String getClassName()

### setClassName

    public void setClassName(java.lang.String className)

### serialize

    public java.lang.String serialize()

### deserialize

    public static ReporterConfig deserialize(java.lang.String inputString)

### newReporterInstance

    public java.lang.Object newReporterInstance()

  Creates a reporter based on the current configuration

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD